[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ValEdit' (#lcl)

# TValueListStrings.Delete

Deletes the item value and definition at the specified position.

## Declaration

Source position: valedit.pas line 98

`public procedure TValueListStrings.Delete(`
`Index: Integer`
`); override;`

## Arguments

`Index` |  | Ordinal position of the value and definition to delete.

## Description

Delete is a procedure used to delete the item value and definition at the specified ordinal position.

Delete uses the TValueListEditor owner to invalidate any cached rows in the control. A visible editor in the control is also hidden. Delete calls the inherited method using Index as an argument. Deletes removes the internal item definition at the position specified in Index. A visible editor in TValueListEditor is restored when needed.